Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Hpasm 7.7.0.115
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
theholymac
n00b
n00b


Joined: 28 Jun 2006
Posts: 56
Location: Probably at the solar car shop in St. Paul

PostPosted: Tue Sep 16, 2008 4:12 pm    Post subject: Hpasm 7.7.0.115 Reply with quote

Hey guys;

I'm sure if you've been trying to get HPASM running on your HP DL/ML series server, you've run across the Tuxus ebuilds at some point. Unfortunately, these are now very out of date. I've adapted them into an updated ebuild for hpasm 7.7.0.115 on x86

Code:
DESCRIPTION="hp Server Management Drivers and Agents."
HOMEPAGE="http://h18000.www1.hp.com/products/servers/linux/documentation.html"
LICENSE="hp-value"

DEPEND="${RDEPEND}
        virtual/linux-sources
        mail-client/mailx
        app-arch/rpm2targz
        sys-libs/lib-compat
        sys-apps/pciutils
        sys-libs/ncurses
        sys-apps/lm_sensors
        net-analyzer/net-snmp
        !app-admin/cmastor
        !=app-admin/hpasm-7.1.0.145.1"

PACKAGE="hpasm-7.7.0-115.rhel4.i386"
SRC_URI="ftp://www.hp.com/pub/products/servers/supportsoftware/linux/${PACKAGE}.rpm"

IUSE=""
SLOT="0"
KEYWORDS="x86"
S="${WORKDIR}"

pkg_setup() {

if [ `uname -r | grep 2.4` ] ||  [ `uname -r | grep 2.6` ] ;
then
        einfo "You are running `uname -r`"
else
        die "Kernel not supported"
fi

}

src_unpack() {
        cd ${S}
        rpm2targz ${DISTDIR}/${PACKAGE}.rpm
        tar zxpf ${S}/${PACKAGE}.tar.gz > /dev/null 2>&1
}

src_install() {


        HPASM_HOME="/opt/compaq"
        HPASMHP_HOME="/opt/hp"

        dodir ${HPASM_HOME}
        dodir ${HPASMHP_HOME}

        cp -Rdp \
        opt/compaq/* \
        ${D}${HPASM_HOME}

        cp -Rdp \
        opt/hp/* \
        ${D}${HPASMHP_HOME}

        dodir /etc
        cp ${FILESDIR}/initlog.conf ${D}/etc

        exeinto /opt/compaq/hpasm/etc
        doexe ${FILESDIR}/functions || die

        into /

        cp ${FILESDIR}/initlog .
        dosbin initlog

        dosym /opt/compaq/hpasm/addon/libcpqci.so.1.0 /opt/compaq/hpasm/addon/libcpqci.so.1
        dosym /opt/compaq/hpasm/addon/libcpqci.so.1.0 /opt/compaq/hpasm/addon/libcpqci.so

        dodir /usr/share/pixmaps
        dosym /opt/compaq/utils/hplogo.xbm /usr/share/pixmaps/hplogo.xbm
        dosym /opt/compaq/utils/m_blue.gif /usr/share/pixmaps/m_blue.gif
        dosym /opt/compaq/utils/m_fail.gif /usr/share/pixmaps/m_fail.gif
        dosym /opt/compaq/utils/m_green.gif /usr/share/pixmaps/m_green.gif
        dosym /opt/compaq/utils/m_red.gif /usr/share/pixmaps/m_red.gif
        dosym /opt/compaq/utils/m_yellow.gif /usr/share/pixmaps/m_yellow.gif

        dosym /opt/compaq/utils/cpqimlview /sbin/cpqimlview
        dosym /opt/compaq/utils/hpimlview /sbin/hpimlview
        dosym /opt/compaq/utils/cpqimlview.tcl /sbin/cpqimlview.tcl
        dosym /opt/compaq/utils/hplog /sbin/hplog
        dosym /opt/compaq/utils/hpuid /sbin/hpuid
        dosym /opt/compaq/utils/imlbe /sbin/imlbe
        dosym /opt/compaq/utils/hpasmcli /sbin/hpasmcli
        dosym /opt/compaq/utils/bootcfg /sbin/bootcfg

        dodir /usr/lib

        if [ ! -f ${ROOT}/usr/share/snmp/snmpd.conf ]
                then
                insinto /usr/share/snmp
                doins ${FILESDIR}/snmpd.conf || die
                else
                insinto /usr/share/snmp
                newins ${FILESDIR}/snmpd.conf snmpd.conf.cma || die
        fi

        if [ ! -f /usr/lib/libcrypto.so.2 ]
                then
                dosym /usr/lib/libcrypto.so.0.9.6 /usr/lib/libcrypto.so.2
        fi

        if [ ! -f /usr/lib/libssl.so.2 ]
                then
                dosym /usr/lib/libssl.so.0.9.6 /usr/lib/libssl.so.2
        fi

        dodir /var/spool/compaq

        exeinto /etc/init.d
        doexe ${FILESDIR}/hpasm || die


        doman usr/share/man/man4/hpasm.4.gz \
                usr/share/man/man8/cpqimlview.8.gz usr/share/man/man8/hplog.8.gz \
                usr/share/man/man8/hpuid.8.gz


        for i in opt/compaq/hpasm/addon/cmad.sh \
                        opt/compaq/hpasm/etc/functions \


        do
        cat ${D}/$i | \
        sed 's/VENDOR="Unknown"/VENDOR="RedHat"/' >\
        ${D}/$i-new
        mv ${D}/$i-new ${D}/$i

        cat ${D}/$i | \
        sed 's/^\.\ \/etc\/init.d\/functions/\.\ \/opt\/compaq\/hpasm\/etc\/functions/' >\
        ${D}/$i-new
        mv ${D}/$i-new ${D}/$i

        cat ${D}/$i | \
        sed 's/^\.\ \/etc\/rc.d\/init.d\/functions/\.\ \/opt\/compaq\/hpasm\/etc\/functions/' >\
        ${D}/$i-new
        mv ${D}/$i-new ${D}/$i

        cat ${D}/$i | \
        sed 's/usleep 250000/sleep 0\.25/'>\
        ${D}/$i-new
        mv ${D}/$i-new ${D}/$i


        cat ${D}/$i | \
            sed 's/usleep 100000/sleep 0\.1/'>\
                    ${D}/$i-new
                            mv ${D}/$i-new ${D}/$i

        chmod 755 ${D}/$i
        done


        echo "exclude cmhp"     >> ${D}/opt/compaq/cma.conf
        echo "trapemail /bin/mail -s 'HP Insight Management Agents Trap Alarm' root" >> ${D}/opt/compaq/cma.conf

        echo "Gentoo:2.x:2005"  >>  ${D}/opt/compaq/hpasm/distro.txt
##    echo "RELEASE=Unknown" >> ${D}/opt/compaq/hpasm/distro.txt
##      echo "PRODUCT=Unknown" >> ${D}/opt/compaq/hpasm/distro.txt

##      for i in /opt/compaq/foundation/etc/cmafdtnobjects.conf /opt/compaq/server/etc/cmasvrobjects.conf /opt/compaq/storage/etc/cmastorobjects.conf

##      do
##      echo $i >> ${D}/opt/compaq/cmaobjects.conf
##      done

        echo "/usr/bin/wish /sbin/cpqimlview.tcl -tclx /usr/lib/libtclx.so -tix /usr/lib/libtix8.2.so" > ${D}/opt/compaq/utils/cpqimlview-new
        mv ${D}/opt/compaq/utils/cpqimlview-new ${D}/opt/compaq/utils/cpqimlview

        chmod 755 ${D}/opt/compaq/utils/cpqimlview

        cat ${D}/opt/compaq/utils/cpqimlview.tcl | \
        sed 's/set DriverInfo \[exec rpm -q hpasm\]/\#set DriverInfo \[exec rpm -q hpasm\]/' >\
        ${D}/opt/compaq/utils/cpqimlview.tcl-new
        mv ${D}/opt/compaq/utils/cpqimlview.tcl-new \
        ${D}/opt/compaq/utils/cpqimlview.tcl

        cat ${D}/opt/compaq/utils/cpqimlview.tcl | \
        sed 's/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) $DriverInfo $newTitle"/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) $newTitle"/' >\
        ${D}/opt/compaq/utils/cpqimlview.tcl-new
        mv ${D}/opt/compaq/utils/cpqimlview.tcl-new \
        ${D}/opt/compaq/utils/cpqimlview.tcl

        cat ${D}/opt/compaq/utils/cpqimlview.tcl | \
        sed 's/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) - $DriverInfo"/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) - "/' >\
        ${D}/opt/compaq/utils/cpqimlview.tcl-new
        mv ${D}/opt/compaq/utils/cpqimlview.tcl-new \
        ${D}/opt/compaq/utils/cpqimlview.tcl


}


pkg_postinst() {

        if [ `uname -r | grep 2.6` ];
        then
        einfo "You are running `uname -r`"
                if test -e /dev/cciss/host0/target0/disc
                then
                        einfo "making 2.6 Kernel link /dev/cciss/c0d0 -> /dev/cciss/host0/target0/disc"
                        rm /dev/cciss/c0d0
                        ln -s /dev/cciss/host0/target0/disc /dev/cciss/c0d0
                else
                        einfo "making 2.6 Kernel link /dev/ida/c0d0 -> /dev/ida/host0/target0/disc"
                        if      test -e /dev/ida/host0/target0/disc
                then
                        rm /dev/ida/c0d0
                        ln -s /dev/ida/host0/target0/disc /dev/ida/c0d0
                        fi
                fi
        fi
        if [ `uname -r | grep 2.4` ];
        then
                einfo "You are running `uname -r`"
                if  test -e /dev/cciss/disc0/disc
                then
                        einfo "making 2.4 Kernel link /dev/cciss/c0d0 -> /dev/cciss/disc0/disc"
                        rm /dev/cciss/c0d0
                        ln -s /dev/cciss/disc0/disc /dev/cciss/c0d0
                else
                        einfo "making 2.4 Kernel link /dev/ida/c0d0 -> /dev/ida/disc0/disc"
                if  test -e /dev/ida/disc0/disc
                then
                        rm /dev/ida/c0d0
                        ln -s /dev/ida/disc0/disc /dev/ida/c0d0
                        fi
                fi
        fi

        einfo ""
        einfo "If you want to run cpqimlview you will"
        einfo "need to emerge x, tclx, and tix."
        einfo ""
        einfo "If you want to use the web agent and other features"
        einfo "then configure your /usr/share/snmp/snmpd.conf,"
        einfo "emerge net-snmp before starting hpasm."
        einfo ""
        einfo "If you didn't already have an snmpd.conf then a"
        einfo "generic one has been place in /usr/share/snmp/"
        einfo ""
        einfo "It is not required to have net-snmp"
        einfo "running for basic hpasm functionality."
        einfo ""
        einfo "You now need to execute /etc/init.d/hpasm start"
        einfo "in order to use the installed package. The kernel"
        einfo "modules will automatically build for you."
        einfo ""


}


This worked right out the the box on a DL560 (quad-processor, dual-drive version of the DL380 G3). YMMV, but I doubt this will run on anything PIII or older. I *know* it will not work on a DL360 G2 or and DL360 G1.


Last edited by theholymac on Tue Sep 16, 2008 8:20 pm; edited 1 time in total
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Tue Sep 16, 2008 6:36 pm    Post subject: Reply with quote

I am having a bunch of HP and Compaq server over here and already long time ago I did started to build the ebuilds myself. I think I used one of the old ebuilds around and then changed them to suit my needs. The ebuild below is the one I have in my local overlay for hpasm-7.7.0.115. I have tested it on a bunch of ML, DL and on some Blade systems. Maybe it will work for you too?

app-admin/hpasm/hpasm-7.7.0.115.ebuild:
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils toolchain-funcs versionator linux-info multilib

DESCRIPTION="HP System Health Application and Insight Management Agents Package"
HOMEPAGE="http://h18000.www1.hp.com/products/servers/linux/documentation.html"
LICENSE="hp-value"
KEYWORDS="amd64 x86"
IUSE="ssl snmp X"
DEPEND="${RDEPEND}
   mail-client/mailx
   app-arch/rpm2targz
   sys-apps/pciutils
   sys-libs/ncurses
   snmp? ( net-analyzer/net-snmp )
   ssl? ( dev-libs/openssl )
   X? ( virtual/x11 dev-tcltk/tclx dev-tcltk/tix )"

RDEPEND="${DEPEND}
   app-arch/tar
   sys-apps/sed"

SRC_URI_BASE="ftp://ftp.compaq.com/pub/products/servers/supportsoftware/linux"
SRC_URI="x86? ( ${SRC_URI_BASE}/${PN}-$(replace_version_separator 3 '-').rhel4.i386.rpm )
      amd64? ( ${SRC_URI_BASE}/${PN}-$(replace_version_separator 3 '-').rhel4.x86_64.rpm )"

HPASM_HOME="/opt/compaq"
HPASMHP_HOME="/opt/hp"

RESTRICT="${RESTRICT} strip"
QA_TEXTRELS="${HPASM_HOME:1}/hpasm/addon/libcpqci.so.*.*"
QA_EXECSTACK="${HPASM_HOME:1}/foundation/bin/cmahostd
${HPASM_HOME:1}/foundation/bin/cmathreshd
${HPASM_HOME:1}/hpasm/addon/cmapeerd
${HPASM_HOME:1}/hpasm/addon/libcmacommon.so.1.0
${HPASM_HOME:1}/hpasm/addon/libhpev.so.1.0
${HPASM_HOME:1}/hpasmd/bin/IrqRouteTbl
${HPASM_HOME:1}/hpasmd/bin/hpasmchifd
${HPASM_HOME:1}/hpasmd/bin/hpasmd
${HPASM_HOME:1}/hpasmd/bin/hpasmlited
${HPASM_HOME:1}/hpasmd/bin/hpasmxld
${HPASM_HOME:1}/server/bin/cmastdeqd
${HPASM_HOME:1}/storage/bin/cmaeventd
${HPASM_HOME:1}/storage/bin/cmafcad
${HPASM_HOME:1}/storage/bin/cmaidad
${HPASM_HOME:1}/utils/hplog
${HPASMHP_HOME:1}/hpsmh/data/webapp-data/webagent/csginkgo"

SLOT="0"
S="${WORKDIR}"

pkg_setup() {
   linux-info_pkg_setup
   if ! [ ${KV_MAJOR} -eq 2 -a ${KV_MINOR} -gt 5 ] ; then
      die "Kernel not supported. You need a kernel >= 2.6.0."
   fi
}

src_unpack() {
   cd "${S}"
   rpm2targz "${DISTDIR}/${A}"
   tar zxpf ${PN}-$(replace_version_separator 3 '-').rhel4.*.tar.gz >/dev/null 2>&1
   rm -f ${PN}-$(replace_version_separator 3 '-').rhel4.*.tar.gz >/dev/null 2>&1
}

src_install() {
   cd "${S}"

   dodir ${HPASM_HOME}
   cp -Rdp "${S}"${HPASM_HOME}/* "${D}"${HPASM_HOME}

   dodir ${HPASMHP_HOME}
   cp -Rdp "${S}"${HPASMHP_HOME}/* "${D}"${HPASMHP_HOME}

   dodir /etc
   cp ${FILESDIR}/initlog.conf "${D}"/etc

   exeinto ${HPASM_HOME}/hpasm/etc
   doexe ${FILESDIR}/functions || die

   into /
   cp ${FILESDIR}/initlog .
   dosbin initlog

   #
   dodir /etc/env.d
   cat <<EOF > "${D}"/etc/env.d/45${PN}-${SLOT}
PATH=${HPASM_HOME}/foundation/bin:${HPASM_HOME}/hpasmd/bin:${HPASM_HOME}/server/bin:${HPASM_HOME}/storage/bin:${HPASM_HOME}/utils
ROOTPATH=${HPASM_HOME}/hpasmd/bin
LDPATH=${HPASM_HOME}/hpasm/addon
CONFIG_PROTECT="${HPASM_HOME}/foundation/etc ${HPASM_HOME}/hpasm/etc ${HPASM_HOME}/hpasmd/etc ${HPASM_HOME}/server/etc ${HPASM_HOME}/storage/etc"
EOF

   for foo in $(ls --color=no -1 "${S}"${HPASM_HOME}/hpasm/addon/*.so.*.*) ; do
      dosym ${HPASM_HOME}/hpasm/addon/$(basename ${foo}) $(basename ${foo} .0)
      dosym ${HPASM_HOME}/hpasm/addon/$(basename ${foo}) $(basename ${foo} .1.0)
   done

   if use X; then
      dodir /usr/share/pixmaps
      dosym ${HPASM_HOME}/utils/hplogo.xbm /usr/share/pixmaps/hplogo.xbm
      dosym ${HPASM_HOME}/utils/m_blue.gif /usr/share/pixmaps/m_blue.gif
      dosym ${HPASM_HOME}/utils/m_fail.gif /usr/share/pixmaps/m_fail.gif
      dosym ${HPASM_HOME}/utils/m_green.gif /usr/share/pixmaps/m_green.gif
      dosym ${HPASM_HOME}/utils/m_red.gif /usr/share/pixmaps/m_red.gif
      dosym ${HPASM_HOME}/utils/m_yellow.gif /usr/share/pixmaps/m_yellow.gif
   fi

   if use X; then
      dosym ${HPASM_HOME}/utils/cpqimlview /sbin/cpqimlview
      dosym ${HPASM_HOME}/utils/cpqimlview.tcl /sbin/cpqimlview.tcl
   fi
   dosym ${HPASM_HOME}/utils/hpimlview /sbin/hpimlview
   dosym ${HPASM_HOME}/utils/hplog /sbin/hplog
   dosym ${HPASM_HOME}/utils/hpuid /sbin/hpuid
   dosym ${HPASM_HOME}/utils/imlbe /sbin/imlbe
   dosym ${HPASM_HOME}/utils/hpasmcli /sbin/hpasmcli
   dosym ${HPASM_HOME}/utils/bootcfg /sbin/bootcfg

   dodir /usr/$(get_libdir)

   if [ ! -f ${ROOT}/usr/share/snmp/snmpd.conf ]; then
      insinto /usr/share/snmp
      doins ${FILESDIR}/snmpd.conf || die
   else
      insinto /usr/share/snmp
      newins ${FILESDIR}/snmpd.conf snmpd.conf.cma || die
   fi

   if [ ! -f /usr/$(get_libdir)/libcrypto.so.2 ]; then
      dosym /usr/$(get_libdir)/$(basename $(ls --color=no -1 "${ROOT}"/usr/$(get_libdir)/libcrypto.so.*|head -n 1)) libcrypto.so.2
   fi

   if [ ! -f /usr/$(get_libdir)/libssl.so.2 ]; then
      dosym /usr/$(get_libdir)/$(basename $(ls --color=no -1 "${ROOT}"/usr/$(get_libdir)/libssl.so.*|head -n 1)) libssl.so.2
   fi

   dodir /var/spool/compaq

   exeinto /etc/init.d
   doexe ${FILESDIR}/hpasm || die

   doman usr/share/man/man?/*

   for i in ${HPASM_HOME:1}/hpasm/addon/cmad.sh \
         ${HPASM_HOME:1}/hpasm/etc/functions \

   do
      cat ${D}/$i | \
      sed 's/VENDOR="Unknown"/VENDOR="RedHat"/' >\
      ${D}/$i-new
      mv ${D}/$i-new ${D}/$i

      cat ${D}/$i | \
      sed 's/^\.\ \/etc\/init.d\/functions/\.\ \/opt\/compaq\/hpasm\/etc\/functions/' >\
      ${D}/$i-new
      mv ${D}/$i-new ${D}/$i

      cat ${D}/$i | \
      sed 's/^\.\ \/etc\/rc.d\/init.d\/functions/\.\ \/opt\/compaq\/hpasm\/etc\/functions/' >\
      ${D}/$i-new
      mv ${D}/$i-new ${D}/$i

      cat ${D}/$i | \
      sed 's/usleep 250000/sleep 0\.25/'>\
      ${D}/$i-new
      mv ${D}/$i-new ${D}/$i

      cat ${D}/$i | \
          sed 's/usleep 100000/sleep 0\.1/'>\
             ${D}/$i-new
                mv ${D}/$i-new ${D}/$i

      chmod 755 ${D}/$i
   done


   echo "exclude cmhp"   >> ${D}${HPASM_HOME}/cma.conf
   echo "trapemail /bin/mail -s 'HP Insight Management Agents Trap Alarm' root" >> ${D}${HPASM_HOME}/cma.conf

   echo "Gentoo:2.x:2005"  >>  ${D}${HPASM_HOME}/hpasm/distro.txt
##   echo "RELEASE=Unknown" >> ${D}${HPASM_HOME}/hpasm/distro.txt   
##   echo "PRODUCT=Unknown" >> ${D}${HPASM_HOME}/hpasm/distro.txt   

##   for i in ${HPASM_HOME}/foundation/etc/cmafdtnobjects.conf ${HPASM_HOME}/server/etc/cmasvrobjects.conf ${HPASM_HOME}/storage/etc/cmastorobjects.conf
##   do
##      echo $i >> ${D}${HPASM_HOME}/cmaobjects.conf
##   done

   echo "/usr/bin/wish /sbin/cpqimlview.tcl -tclx /usr/$(get_libdir)/libtclx.so -tix /usr/$(get_libdir)/libtix8.2.so" > ${D}${HPASM_HOME}/utils/cpqimlview-new
   mv ${D}${HPASM_HOME}/utils/cpqimlview-new \
   ${D}${HPASM_HOME}/utils/cpqimlview
   chmod 755 ${D}${HPASM_HOME}/utils/cpqimlview

   cat ${D}${HPASM_HOME}/utils/cpqimlview.tcl | \
   sed 's/set DriverInfo \[exec rpm -q hpasm\]/\#set DriverInfo \[exec rpm -q hpasm\]/' >\
   ${D}${HPASM_HOME}/utils/cpqimlview.tcl-new
   mv ${D}${HPASM_HOME}/utils/cpqimlview.tcl-new \
   ${D}${HPASM_HOME}/utils/cpqimlview.tcl

   cat ${D}${HPASM_HOME}/utils/cpqimlview.tcl | \
   sed 's/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) $DriverInfo $newTitle"/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) $newTitle"/' >\
   ${D}${HPASM_HOME}/utils/cpqimlview.tcl-new
   mv ${D}${HPASM_HOME}/utils/cpqimlview.tcl-new \
   ${D}${HPASM_HOME}/utils/cpqimlview.tcl

   cat ${D}${HPASM_HOME}/utils/cpqimlview.tcl | \
   sed 's/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) - $DriverInfo"/wm title $form "$IML_GUI_MSGS(MSG_APP_TITLE) - "/' >\
   ${D}${HPASM_HOME}/utils/cpqimlview.tcl-new
   mv ${D}${HPASM_HOME}/utils/cpqimlview.tcl-new \
   ${D}${HPASM_HOME}/utils/cpqimlview.tcl
}

pkg_postinst() {
   einfo
   einfo "If you want to run cpqimlview you will"
   einfo "need to emerge xfree, tclx, and tix."
   einfo
   einfo "If you want to use the web agent and other features"
   einfo "then configure your /usr/share/snmp/snmpd.conf,"
   einfo "emerge net-snmp before starting hpasm."
   einfo
   einfo "If you didn't already have an snmpd.conf then a"
   einfo "generic one has been place in /usr/share/snmp/"
   einfo
   einfo "It is not required to have net-snmp"
   einfo "running for basic hpasm functionality."
   einfo
   einfo "You now need to execute /etc/init.d/hpasm start"
   einfo "in order to use the installed package. The kernel"
   einfo "modules will automatically build for you."
   einfo
}


app-admin/hpasm/files/hpasm:
Code:
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public Licence v2
# $Header:

opts="configure reconfigure unconfigure"

depend() {
   need net
   use logger
   after snmpd
}

start() {
   ebegin "Starting HPASM"
   /opt/compaq/hpasm/etc/hpasm start
   eend $?
}

stop() {
   ebegin "Stopping HPASM"
   /opt/compaq/hpasm/etc/hpasm stop
   eend $?
}

configure() {
   ebegin "Configuring HPASM"
   /opt/compaq/hpasm/etc/hpasm configure
   eend $?
}

reconfigure() {
   ebegin "Reconfiguring HPASM"
   /opt/compaq/hpasm/etc/hpasm reconfigure
   eend $?
}

unconfigure() {
   ebegin "Unconfiguring HPASM"
   /opt/compaq/hpasm/etc/hpasm reconfigure
   eend $?
}



I have working ebuilds for hpasm-8.0.0.173 as well and other HP tools, if you want them?


// SteveB
Back to top
View user's profile Send private message
theholymac
n00b
n00b


Joined: 28 Jun 2006
Posts: 56
Location: Probably at the solar car shop in St. Paul

PostPosted: Tue Sep 16, 2008 8:25 pm    Post subject: Reply with quote

Cool to hear that other people are running Gentoo on Proliant hardware, from the lack of info floating around I get the impression that there aren't that many.

What other HP utilities do you consider essential? How does hpasm 8.0.x compare to 7.7.x? I run my server mostly from the command line, so I'm more interested in the CLI utilities. I only have hpasm-7.7.0.115 and hpacucli-7.85.18 installed on my DL560
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Wed Sep 17, 2008 5:49 am    Post subject: Reply with quote

theholymac wrote:
Cool to hear that other people are running Gentoo on Proliant hardware, from the lack of info floating around I get the impression that there aren't that many.
Don't let you fool. I know that HP internally uses Gentoo as well :D

theholymac wrote:
What other HP utilities do you consider essential? How does hpasm 8.0.x compare to 7.7.x? I run my server mostly from the command line, so I'm more interested in the CLI utilities. I only have hpasm-7.7.0.115 and hpacucli-7.85.18 installed on my DL560
I don't know what the difference is. On all of my servers 8.0.x works without problems.
Did you tested the above ebuild if it works on your Proliant server where you said that your ebuild does not work?

// SteveB
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Wed Sep 17, 2008 3:00 pm    Post subject: Reply with quote

I'm running 7.7.0-115 on an old dl360g1.
The ebuild is used is from an outdated version. But it works somehow :)

Quote:

I have working ebuilds for hpasm-8.0.0.173 as well and other HP tools, if you want them?


i'm very interested in those. could you post them somewhere?
Updating to 8.0.0 could be worth a try.
Back to top
View user's profile Send private message
theholymac
n00b
n00b


Joined: 28 Jun 2006
Posts: 56
Location: Probably at the solar car shop in St. Paul

PostPosted: Wed Sep 17, 2008 6:32 pm    Post subject: Reply with quote

Elgato, does 7.7.0-115 reduce the fan speed on your DL360G1, or are you simply using it for the rest of the system monitoring utilities?
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Thu Sep 18, 2008 7:06 am    Post subject: Reply with quote

yes it does reduce the fan speed.

Code:
Fan  Location        Present Speed  of max  Redundant  Partner  Hot-pluggable
---  --------        ------- -----  ------  ---------  -------  -------------
#1   PROCESSOR_ZONE  Yes     NORMAL 23%     No         N/A      No


monitoring works too
Back to top
View user's profile Send private message
theholymac
n00b
n00b


Joined: 28 Jun 2006
Posts: 56
Location: Probably at the solar car shop in St. Paul

PostPosted: Thu Sep 18, 2008 6:47 pm    Post subject: Reply with quote

Odd, I've never been able to get HPASM, of any variety, working on the DL360 G2 and GL360 G1 that I posses, but had no issues getting it to run on the DL560. Thanks for the tale of success, it's inspired me to revisit them.
Back to top
View user's profile Send private message
theholymac
n00b
n00b


Joined: 28 Jun 2006
Posts: 56
Location: Probably at the solar car shop in St. Paul

PostPosted: Thu Sep 18, 2008 9:12 pm    Post subject: Reply with quote

steveb wrote:
theholymac wrote:
Cool to hear that other people are running Gentoo on Proliant hardware, from the lack of info floating around I get the impression that there aren't that many.
Don't let you fool. I know that HP internally uses Gentoo as well :D

theholymac wrote:
What other HP utilities do you consider essential? How does hpasm 8.0.x compare to 7.7.x? I run my server mostly from the command line, so I'm more interested in the CLI utilities. I only have hpasm-7.7.0.115 and hpacucli-7.85.18 installed on my DL560
I don't know what the difference is. On all of my servers 8.0.x works without problems.
Did you tested the above ebuild if it works on your Proliant server where you said that your ebuild does not work?

// SteveB


ebuild works, but still no fan control (which is what I'm really going for there, the DL360G2 is like a hurricane without it)
Code:
Fan  Location        Present Speed  of max  Redundant  Partner  Hot-pluggable
---  --------        ------- -----  ------  ---------  -------  -------------
#1   PROCESSOR_ZONE  Yes     HIGH   100%    No         N/A      No
#2   POWERSUPPLY_BAY Yes     NORMAL N/A     No         N/A      No


elgato319, that's really odd now that I think about it, I'd always assumed that the G1 didn't support fan control, as hpasmcli always reports
Code:
Fan  Location        Present Speed  of max  Redundant  Partner  Hot-pluggable
---  --------        ------- -----  ------  ---------  -------  -------------
#1   PROCESSOR_ZONE  Yes     NORMAL N/A    No         N/A      No

It says this regardless of what version of hpasm I'm running.
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Fri Sep 19, 2008 6:14 am    Post subject: Reply with quote

That's the local version of the ebuild I have on my notebook. I am not 100% sure if I have changed the one on my local repository. I will check after work. Right now I can not, because I can not access SSH from where I am now. However... let me know if this ebuild works better for you then the 7.x one.

hpasm-8.0.0.173.ebuild:
Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils toolchain-funcs versionator linux-info

DESCRIPTION="HP System Health Application and Insight Management Agents Package"
HOMEPAGE="http://h18000.www1.hp.com/products/servers/linux/documentation.html"
LICENSE="hp-value"
KEYWORDS="amd64 x86"
IUSE="ssl snmp X"
DEPEND="${RDEPEND}
        mail-client/mailx
        app-arch/rpm2targz
        sys-apps/pciutils
        sys-libs/ncurses
        dev-lang/python
        sys-apps/ethtool
        sys-apps/lm_sensors
        sys-libs/lib-compat
        snmp? ( net-analyzer/net-snmp )
        ssl? ( dev-libs/openssl )
        X? ( virtual/x11 dev-tcltk/tclx dev-tcltk/tix )"

RDEPEND="${DEPEND}
        app-arch/tar
        sys-apps/sed"

SRC_URI_BASE="ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux"
SRC_URI="x86? ( ${SRC_URI_BASE}/p1925054526/v42992/${PN}-$(replace_version_separator 3 '-').rhel5.i386.rpm )
                amd64? ( ${SRC_URI_BASE}/p315823469/v43005/${PN}-$(replace_version_separator 3 '-').rhel5.x86_64.rpm )"

HPASM_HOME="/opt/compaq"
HPASMHP_HOME="/opt/hp"

RESTRICT="${RESTRICT} strip"
QA_TEXTRELS="lib/libcpqci.so.1.0
lib/libcpqipmb.so.1.0"
QA_EXECSTACK="lib/libhpev.so.1.0
${HPASM_HOME:1}/foundation/bin/cmahostd
${HPASM_HOME:1}/foundation/bin/cmapeerd
${HPASM_HOME:1}/foundation/bin/cmathreshd
${HPASM_HOME:1}/hpasmd/bin/IrqRouteTbl
${HPASM_HOME:1}/hpasmd/bin/hpasmd
${HPASM_HOME:1}/hpasmd/bin/hpasmlited
${HPASM_HOME:1}/hpasmd/bin/hpasmxld
${HPASM_HOME:1}/server/bin/cmasm2d
${HPASM_HOME:1}/server/bin/cmastdeqd
${HPASM_HOME:1}/storage/bin/cmaeventd
${HPASM_HOME:1}/storage/bin/cmafcad
${HPASM_HOME:1}/storage/bin/cmaidad
${HPASM_HOME:1}/storage/bin/cmaided
${HPASM_HOME:1}/storage/bin/cmasasd
${HPASM_HOME:1}/storage/bin/cmascsid
${HPASM_HOME:1}/utils/hplog
${HPASMHP_HOME:1}/hpsmh/data/webapp-data/webagent/csginkgo"

SLOT="0"
S="${WORKDIR}"

pkg_setup() {
        linux-info_pkg_setup
        if ! [ ${KV_MAJOR} -eq 2 -a ${KV_MINOR} -gt 5 ] ; then
                die "Kernel not supported. You need a kernel >= 2.6.0."
        fi
}

src_unpack() {
        cd "${S}"
        rpm2targz "${DISTDIR}/${A}" || die "rpm2targz failed"
        tar zxpf ${PN}-$(replace_version_separator 3 '-').rhel5.*.tar.gz >/dev/null 2>&1 || die "unpacking archive failed"
        rm -f ${PN}-$(replace_version_separator 3 '-').rhel5.*.tar.gz >/dev/null 2>&1
}

src_install() {
        cd "${S}"

        dodir ${HPASM_HOME}
        cp -Rdp "${S}"${HPASM_HOME}/* "${D}"${HPASM_HOME}

        dodir ${HPASMHP_HOME}
        cp -Rdp "${S}"${HPASMHP_HOME}/* "${D}"${HPASMHP_HOME}

        dodir /etc
        cp ${FILESDIR}/initlog.conf "${D}"/etc

        exeinto ${HPASM_HOME}/hpasm/etc
        doexe ${FILESDIR}/functions || die

        into /
        cp ${FILESDIR}/initlog .
        dosbin initlog


        #
        cat <<EOF > "${T}"/45${PN}-${SLOT}
PATH=${HPASM_HOME}/foundation/bin:${HPASM_HOME}/hpasmd/bin:${HPASM_HOME}/nic/bin:${HPASM_HOME}/server/bin:${HPASM_HOME}/storage/bin:${HPASM_HOME}/utils
ROOTPATH=${HPASM_HOME}/hpasmd/bin
LDPATH=${HPASM_HOME}/storage/bin
CONFIG_PROTECT="${HPASM_HOME}/foundation/etc ${HPASM_HOME}/hpasm/etc ${HPASM_HOME}/hpasmd/etc ${HPASM_HOME}/server/etc ${HPASM_HOME}/storage/etc"
EOF
        doenvd "${T}"/45${PN}-${SLOT} || die "Failed installing env.d script"

        for foo in ./usr/$(get_libdir)/*.so.*.* ; do
                local so_name=$(basename ${foo})
                local so_mayor=$(echo ${so_name}|sed -n "s:^.*\.so\.\([0-9]*\)\.\([0-9]*\)$:\1:p")
                local so_minor=$(echo ${so_name}|sed -n "s:^.*\.so\.\([0-9]*\)\.\([0-9]*\)$:\2:p")
                if [ -n "${so_mayor}" -a -n "${so_minor}" ]; then
                        ln -sf ${so_name}.${so_mayor}.${so_minor} ${so_name}.${so_mayor}
                        ln -sf ${so_name}.${so_mayor} ${so_name}
                fi
        done
        dolib.so ./usr/$(get_libdir)/*.so*

        for foo in ./${HPASM_HOME}/utils/* ; do
                dosym ${HPASM_HOME}/utils/$(basename ${foo}) /sbin/$(basename ${foo})
        done

#       if [ ! -f ${ROOT}/usr/share/snmp/snmpd.conf ]; then
#               insinto /usr/share/snmp
#               doins ${FILESDIR}/snmpd.conf || die
#       else
#               insinto /usr/share/snmp
#               newins ${FILESDIR}/snmpd.conf snmpd.conf.cma || die
#       fi

        for foo in libcrypto.so.6 libnetsnmpagent.so.10 libnetsnmphelpers.so.10 \
                libnetsnmp.so.10 libnetsnmpmibs.so.10 ; do
                if [ ! -L "${ROOT}"/usr/$(get_libdir)/${foo} ] ; then
                        if [ -L "${ROOT}"/usr/$(get_libdir)/${foo%.*} ] ; then
                                dosym /usr/$(get_libdir)/${foo%.*} /usr/$(get_libdir)/${foo}
                        fi
                fi
        done

#       if [ ! -f "${ROOT}"/usr/$(get_libdir)/libssl.so.2 ]; then
#               dosym /usr/$(get_libdir)/$(basename $(ls --color=no -1 "${ROOT}"/usr/$(get_libdir)/libssl.so.*|head -n 1)) libssl.so.2
#       fi

        sed -i -e "s:^\(.*[\t ]*\)u\(sleep[\t ]*\)\([1-9]\)00000[\t ]*$:\1\20.\3:g" \
                -i -e "s:^\(.*[\t ]*\)u\(sleep[\t ]*\)\([1-9][^0]\)0000[\t ]*$:\1\20.\3:g" \
                ${D}${HPASM_HOME}/hpasm/etc/functions

        sed -i -e "s:^\([\t ]*createdistrotxt\)[\t ]*\(().*\)$:\1_hporg\2:g" \
                ${D}${HPASM_HOME}/hpasm/etc/common.functions

        cat <<EOF >> "${D}"${HPASM_HOME}/hpasm/etc/common.functions
createdistrotxt()
{
        echo "Gentoo:2.x:2007" >/opt/compaq/hpasm/distro.txt
}
EOF

        dodir /var/spool/compaq
        dodir /var/spool/compaq/foundation
        dodir /var/spool/compaq/foundation/registry
        dodir /var/spool/compaq/server
        dodir /var/spool/compaq/server/registry
        fperms 0700 /var/spool/compaq
        fperms 0700 /var/spool/compaq/foundation
        fperms 0700 /var/spool/compaq/foundation/registry
        fperms 0700 /var/spool/compaq/server
        fperms 0700 /var/spool/compaq/server/registry

        exeinto /etc/init.d
        doinitd ${FILESDIR}/hpasm || die "Failed installing init.d script"

        doman usr/share/man/man?/*

#       echo "exclude cmhp"     >> ${D}${HPASM_HOME}/cma.conf
#       echo "trapemail /bin/mail -s 'HP Insight Management Agents Trap Alarm' root" >> ${D}${HPASM_HOME}/cma.conf

        echo "Gentoo:2.x:2008"  >>  ${D}${HPASM_HOME}/hpasm/distro.txt
##      echo "RELEASE=Unknown" >> ${D}${HPASM_HOME}/hpasm/distro.txt
##      echo "PRODUCT=Unknown" >> ${D}${HPASM_HOME}/hpasm/distro.txt

##      for i in ${HPASM_HOME}/foundation/etc/cmafdtnobjects.conf ${HPASM_HOME}/server/etc/cmasvrobjects.conf ${HPASM_HOME}/storage/etc/cmastorobjects.conf

##      do
##      echo $i >> ${D}${HPASM_HOME}/cmaobjects.conf
##      done
}

pkg_postinst() {
        if [ "${ROOT}" == "/" ] ; then
                /sbin/ldconfig
        fi
        einfo
        if ! use X ; then
                einfo "If you want to run cpqimlview you will"
                einfo "need to emerge X, tclx, and tix."
                einfo
        fi
        if ! use snmp ; then
                einfo "If you want to use the web agent and other features"
                einfo "then configure your /usr/share/snmp/snmpd.conf"
                einfo
                einfo "It is not required to have net-snmp"
                einfo "running for basic hpasm functionality."
                einfo
        fi
        einfo "You now need to execute /etc/init.d/hpasm configure"
        einfo "in order to configure the installed package."
        einfo
}



// Steve
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Mon Sep 22, 2008 6:05 am    Post subject: Reply with quote

No feedback so far for hpasm-8.0.0.173.ebuild?

// SteveB
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Mon Sep 22, 2008 7:47 am    Post subject: Reply with quote

when i'm trying to digest the ebuild i get:

Quote:

: command not foundapp-admin/hpasm/hpasm-8.0.0.173.ebuild: line 4:
*
* ERROR: app-admin/hpasm-8.0.0.173 failed.
* Call stack:
* ebuild.sh, line 1869: Called source '/usr/local/portage/app-admin/hpasm/hpasm-8.0.0.173.ebuild'
* hpasm-8.0.0.173.ebuild, line 5: Called inherit 'eutils' 'toolchain-funcs' 'versiona'or' 'linux-info
* ebuild.sh, line 1212: Called die
* The specific snippet of code:
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
.eclass could not be found by inherit()


seems to be a problem with this line
Code:

inherit eutils toolchain-funcs versionator linux-info
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Mon Sep 22, 2008 9:44 am    Post subject: Reply with quote

Strange:
Code:
nemesis ~ # for foo in eutils toolchain-funcs versionator linux-info ; do ls -lah /usr/portage/eclass/${foo}.* ; done
-rw-r--r-- 1 root root 50K Aug 18 00:35 /usr/portage/eclass/eutils.eclass
-rw-r--r-- 1 root root 13K Jul  3 07:36 /usr/portage/eclass/toolchain-funcs.eclass
-rw-r--r-- 1 root root 17K Jun 12 15:06 /usr/portage/eclass/versionator.eclass
-rw-r--r-- 1 root root 19K Mar 21  2008 /usr/portage/eclass/linux-info.eclass
nemesis ~ #


Code:
nemesis hpasm # rm -v /usr/portage/distfiles/hpasm-8.0.0-173.rhel5.*.rpm
removed `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm'
removed `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm'
nemesis hpasm # sed -i -e "/.*hpasm\-8\.0\.0\-173.*/d" Manifest



Code:
nemesis hpasm # ebuild hpasm-8.0.0.173.ebuild digest
>>> Downloading 'ftp://sunsite.cnlab-switch.ch/mirror/gentoo/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm'
--2008-09-22 11:25:10--  ftp://sunsite.cnlab-switch.ch/mirror/gentoo/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm
           => `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm'
Resolving sunsite.cnlab-switch.ch... 130.59.10.36
Connecting to sunsite.cnlab-switch.ch|130.59.10.36|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /mirror/gentoo/distfiles ... done.
==> SIZE hpasm-8.0.0-173.rhel5.i386.rpm ... done.
==> PASV ... done.    ==> RETR hpasm-8.0.0-173.rhel5.i386.rpm ...
No such file `hpasm-8.0.0-173.rhel5.i386.rpm'.

>>> Downloading 'http://www.ibiblio.org/pub/Linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm'
--2008-09-22 11:25:10--  http://www.ibiblio.org/pub/Linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm
Resolving www.ibiblio.org... 152.46.7.80
Connecting to www.ibiblio.org|152.46.7.80|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm [following]
--2008-09-22 11:25:10--  http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm
Resolving distro.ibiblio.org... 152.46.7.109
Connecting to distro.ibiblio.org|152.46.7.109|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-09-22 11:25:12 ERROR 404: Not Found.

>>> Downloading 'http://gentoo.oregonstate.edu/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm'
--2008-09-22 11:25:12--  http://gentoo.oregonstate.edu/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm
Resolving gentoo.oregonstate.edu... 140.211.166.134
Connecting to gentoo.oregonstate.edu|140.211.166.134|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-09-22 11:25:12 ERROR 404: Not Found.

>>> Downloading 'ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p1925054526/v42992/hpasm-8.0.0-173.rhel5.i386.rpm'
--2008-09-22 11:25:12--  ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p1925054526/v42992/hpasm-8.0.0-173.rhel5.i386.rpm
           => `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm'
Resolving ftp.hp.com... 15.193.112.23, 15.200.30.24
Connecting to ftp.hp.com|15.193.112.23|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/softlib2/software1/pubsw-linux/p1925054526/v42992 ... done.
==> SIZE hpasm-8.0.0-173.rhel5.i386.rpm ... 5522570
==> PASV ... done.    ==> RETR hpasm-8.0.0-173.rhel5.i386.rpm ... done.
Length: 5522570 (5.3M)

100%[====================================================================>] 5,522,570    470K/s   in 59s

2008-09-22 11:26:13 (92.1 KB/s) - `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.i386.rpm' saved [5522570]

>>> Downloading 'ftp://sunsite.cnlab-switch.ch/mirror/gentoo/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm'
--2008-09-22 11:26:14--  ftp://sunsite.cnlab-switch.ch/mirror/gentoo/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm
           => `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm'
Resolving sunsite.cnlab-switch.ch... 130.59.10.36
Connecting to sunsite.cnlab-switch.ch|130.59.10.36|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /mirror/gentoo/distfiles ... done.
==> SIZE hpasm-8.0.0-173.rhel5.x86_64.rpm ... done.
==> PASV ... done.    ==> RETR hpasm-8.0.0-173.rhel5.x86_64.rpm ...
No such file `hpasm-8.0.0-173.rhel5.x86_64.rpm'.

>>> Downloading 'http://www.ibiblio.org/pub/Linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm'
--2008-09-22 11:26:14--  http://www.ibiblio.org/pub/Linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm
Resolving www.ibiblio.org... 152.46.7.80
Connecting to www.ibiblio.org|152.46.7.80|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm [following]
--2008-09-22 11:26:14--  http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm
Resolving distro.ibiblio.org... 152.46.7.109
Connecting to distro.ibiblio.org|152.46.7.109|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-09-22 11:26:16 ERROR 404: Not Found.

>>> Downloading 'http://gentoo.oregonstate.edu/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm'
--2008-09-22 11:26:16--  http://gentoo.oregonstate.edu/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm
Resolving gentoo.oregonstate.edu... 140.211.166.134
Connecting to gentoo.oregonstate.edu|140.211.166.134|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-09-22 11:26:17 ERROR 404: Not Found.

>>> Downloading 'ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p315823469/v43005/hpasm-8.0.0-173.rhel5.x86_64.rpm'
--2008-09-22 11:26:17--  ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux/p315823469/v43005/hpasm-8.0.0-173.rhel5.x86_64.rpm
           => `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm'
Resolving ftp.hp.com... 15.200.30.24, 15.193.112.23
Connecting to ftp.hp.com|15.200.30.24|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/softlib2/software1/pubsw-linux/p315823469/v43005 ... done.
==> SIZE hpasm-8.0.0-173.rhel5.x86_64.rpm ... 5610859
==> PASV ... done.    ==> RETR hpasm-8.0.0-173.rhel5.x86_64.rpm ... done.
Length: 5610859 (5.4M)

100%[====================================================================>] 5,610,859    157K/s   in 34s

2008-09-22 11:26:58 (164 KB/s) - `/usr/portage/distfiles/hpasm-8.0.0-173.rhel5.x86_64.rpm' saved [5610859]

>>> Creating Manifest for /mnt/gentoo.overlay/app-admin/hpasm
nemesis hpasm #


Code:
nemesis hpasm # cat hpasm-8.0.0.173.ebuild
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils toolchain-funcs versionator linux-info

DESCRIPTION="HP System Health Application and Insight Management Agents Package"
HOMEPAGE="http://h18000.www1.hp.com/products/servers/linux/documentation.html"
LICENSE="hp-value"
KEYWORDS="amd64 x86"
IUSE="ssl snmp X"
DEPEND="${RDEPEND}
        mail-client/mailx
        app-arch/rpm2targz
        sys-apps/pciutils
        sys-libs/ncurses
        dev-lang/python
        sys-apps/ethtool
        sys-apps/lm_sensors
        sys-libs/lib-compat
        snmp? ( net-analyzer/net-snmp )
        ssl? ( dev-libs/openssl )
        X? ( virtual/x11 dev-tcltk/tclx dev-tcltk/tix )"

RDEPEND="${DEPEND}
        app-arch/tar
        sys-apps/sed"

SRC_URI_BASE="ftp://ftp.hp.com/pub/softlib2/software1/pubsw-linux"
SRC_URI="x86? ( ${SRC_URI_BASE}/p1925054526/v42992/${PN}-$(replace_version_separator 3 '-').rhel5.i386.rpm )
                amd64? ( ${SRC_URI_BASE}/p315823469/v43005/${PN}-$(replace_version_separator 3 '-').rhel5.x86_64.rpm )"

HPASM_HOME="/opt/compaq"
HPASMHP_HOME="/opt/hp"

RESTRICT="${RESTRICT} strip"
QA_TEXTRELS="lib/libcpqci.so.1.0
lib/libcpqipmb.so.1.0"
QA_EXECSTACK="lib/libhpev.so.1.0
${HPASM_HOME:1}/foundation/bin/cmahostd
${HPASM_HOME:1}/foundation/bin/cmapeerd
${HPASM_HOME:1}/foundation/bin/cmathreshd
${HPASM_HOME:1}/hpasmd/bin/IrqRouteTbl
${HPASM_HOME:1}/hpasmd/bin/hpasmd
${HPASM_HOME:1}/hpasmd/bin/hpasmlited
${HPASM_HOME:1}/hpasmd/bin/hpasmxld
${HPASM_HOME:1}/server/bin/cmasm2d
${HPASM_HOME:1}/server/bin/cmastdeqd
${HPASM_HOME:1}/storage/bin/cmaeventd
${HPASM_HOME:1}/storage/bin/cmafcad
${HPASM_HOME:1}/storage/bin/cmaidad
${HPASM_HOME:1}/storage/bin/cmaided
${HPASM_HOME:1}/storage/bin/cmasasd
${HPASM_HOME:1}/storage/bin/cmascsid
${HPASM_HOME:1}/utils/hplog
${HPASMHP_HOME:1}/hpsmh/data/webapp-data/webagent/csginkgo"

SLOT="0"
S="${WORKDIR}"

pkg_setup() {
        linux-info_pkg_setup
        if ! [ ${KV_MAJOR} -eq 2 -a ${KV_MINOR} -gt 5 ] ; then
                die "Kernel not supported. You need a kernel >= 2.6.0."
        fi
}

src_unpack() {
        cd "${S}"
        rpm2targz "${DISTDIR}/${A}" || die "rpm2targz failed"
        tar zxpf ${PN}-$(replace_version_separator 3 '-').rhel5.*.tar.gz >/dev/null 2>&1 || die "unpacking archive failed"
        rm -f ${PN}-$(replace_version_separator 3 '-').rhel5.*.tar.gz >/dev/null 2>&1
}

src_install() {
        cd "${S}"

        dodir ${HPASM_HOME}
        cp -Rdp "${S}"${HPASM_HOME}/* "${D}${HPASM_HOME}"

        dodir ${HPASMHP_HOME}
        cp -Rdp "${S}"${HPASMHP_HOME}/* "${D}${HPASMHP_HOME}"

        dodir /etc
        cp ${FILESDIR}/initlog.conf "${D}/etc"

        exeinto ${HPASM_HOME}/hpasm/etc
        doexe ${FILESDIR}/functions || die

        into /
        cp ${FILESDIR}/initlog .
        dosbin initlog


        #
        cat <<EOF > "${T}"/45${PN}-${SLOT}
PATH=${HPASM_HOME}/foundation/bin:${HPASM_HOME}/hpasmd/bin:${HPASM_HOME}/nic/bin:${HPASM_HOME}/server/bin:${HPASM_HOME}/storage/bin:${HPASM_HOME}/utils
ROOTPATH=${HPASM_HOME}/hpasmd/bin
LDPATH=${HPASM_HOME}/storage/bin
CONFIG_PROTECT="${HPASM_HOME}/foundation/etc ${HPASM_HOME}/hpasm/etc ${HPASM_HOME}/hpasmd/etc ${HPASM_HOME}/server/etc ${HPASM_HOME}/storage/etc"
EOF
        doenvd "${T}"/45${PN}-${SLOT} || die "Failed installing env.d script"

        for foo in ./usr/$(get_libdir)/*.so.*.* ; do
                local so_name=$(basename ${foo})
                local so_mayor=$(echo ${so_name}|sed -n "s:^.*\.so\.\([0-9]*\)\.\([0-9]*\)$:\1:p")
                local so_minor=$(echo ${so_name}|sed -n "s:^.*\.so\.\([0-9]*\)\.\([0-9]*\)$:\2:p")
                if [ -n "${so_mayor}" -a -n "${so_minor}" ]; then
                        ln -sf ${so_name}.${so_mayor}.${so_minor} ${so_name}.${so_mayor}
                        ln -sf ${so_name}.${so_mayor} ${so_name}
                fi
        done
        dolib.so ./usr/$(get_libdir)/*.so*

        for foo in ./${HPASM_HOME}/utils/* ; do
                dosym ${HPASM_HOME}/utils/$(basename ${foo}) /sbin/$(basename ${foo})
        done

#       if [ ! -f ${ROOT}/usr/share/snmp/snmpd.conf ]; then
#               insinto /usr/share/snmp
#               doins ${FILESDIR}/snmpd.conf || die
#       else
#               insinto /usr/share/snmp
#               newins ${FILESDIR}/snmpd.conf snmpd.conf.cma || die
#       fi

        for foo in libcrypto.so.6 libnetsnmpagent.so.10 libnetsnmphelpers.so.10 \
                libnetsnmp.so.10 libnetsnmpmibs.so.10 ; do
                if [ ! -L "${ROOT}"/usr/$(get_libdir)/${foo} ] ; then
                        if [ -L "${ROOT}"/usr/$(get_libdir)/${foo%.*} ] ; then
                                dosym /usr/$(get_libdir)/${foo%.*} /usr/$(get_libdir)/${foo}
                        fi
                fi
        done

#       if [ ! -f "${ROOT}"/usr/$(get_libdir)/libssl.so.2 ]; then
#               dosym /usr/$(get_libdir)/$(basename $(ls --color=no -1 "${ROOT}"/usr/$(get_libdir)/libssl.so.*|head -n 1)) libssl.so.2
#       fi

        sed -i -e "s:^\(.*[\t ]*\)u\(sleep[\t ]*\)\([1-9]\)00000[\t ]*$:\1\20.\3:g" \
                -i -e "s:^\(.*[\t ]*\)u\(sleep[\t ]*\)\([1-9][^0]\)0000[\t ]*$:\1\20.\3:g" \
                "${D}${HPASM_HOME}/hpasm/etc/functions"

        sed -i -e "s:^\([\t ]*createdistrotxt\)[\t ]*\(().*\)$:\1_hporg\2:g" \
                "${D}${HPASM_HOME}/hpasm/etc/common.functions"

        cat <<EOF >> "${D}${HPASM_HOME}/hpasm/etc/common.functions"
createdistrotxt()
{
        echo "Gentoo:2.x:2008" >/opt/compaq/hpasm/distro.txt
}
EOF

        dodir /var/spool/compaq
        dodir /var/spool/compaq/foundation
        dodir /var/spool/compaq/foundation/registry
        dodir /var/spool/compaq/server
        dodir /var/spool/compaq/server/registry
        fperms 0700 /var/spool/compaq
        fperms 0700 /var/spool/compaq/foundation
        fperms 0700 /var/spool/compaq/foundation/registry
        fperms 0700 /var/spool/compaq/server
        fperms 0700 /var/spool/compaq/server/registry

        exeinto /etc/init.d
        doinitd "${FILESDIR}"/hpasm || die "Failed installing init.d script"

        doman usr/share/man/man?/*

#       echo "exclude cmhp" >> "${D}${HPASM_HOME}/cma.conf"
#       echo "trapemail /bin/mail -s 'HP Insight Management Agents Trap Alarm' root" >> "${D}${HPASM_HOME}/cma.conf"

        echo "Gentoo:2.x:2008" >> "${D}${HPASM_HOME}/hpasm/distro.txt"
##      echo "RELEASE=Unknown" >> "${D}${HPASM_HOME}/hpasm/distro.txt"
##      echo "PRODUCT=Unknown" >> "${D}${HPASM_HOME}/hpasm/distro.txt"

##      for i in ${HPASM_HOME}/foundation/etc/cmafdtnobjects.conf ${HPASM_HOME}/server/etc/cmasvrobjects.conf ${HPASM_HOME}/storage/etc/cmastorobjects.conf
##      do
##              echo ${i} >> "${D}${HPASM_HOME}/cmaobjects.conf"
##      done
}

pkg_postinst() {
        if [ "${ROOT}" == "/" ] ; then
                /sbin/ldconfig
        fi
        einfo
        if ! use X ; then
                einfo "If you want to run cpqimlview you will"
                einfo "need to emerge X, tclx, and tix."
                einfo
        fi
        if ! use snmp ; then
                einfo "If you want to use the web agent and other features"
                einfo "then configure your /usr/share/snmp/snmpd.conf"
                einfo
                einfo "It is not required to have net-snmp"
                einfo "running for basic hpasm functionality."
                einfo
        fi
        einfo "You now need to execute /etc/init.d/hpasm configure"
        einfo "in order to configure the installed package."
        einfo
}
nemesis hpasm #
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Mon Sep 22, 2008 11:06 am    Post subject: Reply with quote

hmm

got all needed eclasses
Code:

 for foo in eutils toolchain-funcs versionator linux-info ; do ls -lah /usr/portage/eclass/${foo}.* ; done
-rw-r--r-- 1 root root 50K Sep 20 22:08 /usr/portage/eclass/eutils.eclass
-rw-r--r-- 1 root root 13K Sep 16 09:05 /usr/portage/eclass/toolchain-funcs.eclass
-rw-r--r-- 1 root root 17K Jun 12 15:06 /usr/portage/eclass/versionator.eclass
-rw-r--r-- 1 root root 19K Mar 21  2008 /usr/portage/eclass/linux-info.eclass


but still no digest
Quote:

ebuild hpasm-8.0.0.173.ebuild digest
: command not foundapp-admin/hpasm/hpasm-8.0.0.173.ebuild: line 4:
*
* ERROR: app-admin/hpasm-8.0.0.173 failed.
* Call stack:
* ebuild.sh, line 1869: Called source '/usr/local/portage/app-admin/hpasm/hpasm-8.0.0.173.ebuild'
'* hpasm-8.0.0.173.ebuild, line 6: Called inherit 'linux-info
* ebuild.sh, line 1212: Called die
* The specific snippet of code:
* [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
* The die message:
.eclass could not be found by inherit()
*
* If you need support, post the topmost build error, and the call stack if relevant.
* This ebuild is from an overlay: '/usr/local/portage/'
*


the older ebuild work fine, they don't seem to use "inherit".
if i copy the eclass-dir to the local portage it doesn't work either.

Code:

Portage 2.2_rc9 (default-linux/x86/2007.0, gcc-3.4.4, glibc-2.7-r2, 2.6.18-gentoo i686)
=================================================================
System uname: Linux-2.6.18-gentoo-i686-Pentium_III_-Coppermine-with-glibc2.0
Timestamp of tree: Mon, 22 Sep 2008 05:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-lang/python:     2.4.4, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium3 -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium3 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.qubenet.net/mirror/gentoo/ http://mirror.pacific.net.au/linux/Gentoo ftp://mirror.pacific.net.au/linux/Gentoo"
LANG="de_DE@euro"
LDFLAGS=""
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/verlihub /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl apache2 ares berkdb bzip2 bzlib cli cracklib crypt ctype curl dovecot-sasl dri exif expat fortran ftp gd gif gmp gpm iconv imap ipv6 isdnlog jpeg latin1 logrotate maildir midi mpm-worker mudflap mysql ncurses nls nptl nptlonly openmp pam pcre perl png pop3d pppd readline reflection sasl session simplexml snmp spl ssl suhosin tcpd threads truetype unicode userlocales vhosts x86 xml xmlrpc xorg zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1    emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m    maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 i810 imstt    mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage    siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware    voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Mon Sep 22, 2008 11:20 am    Post subject: Reply with quote

-- deleted unneeded content --

Last edited by steveb on Mon Sep 22, 2008 1:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Mon Sep 22, 2008 1:05 pm    Post subject: Reply with quote

well..

saving a file in windows format was obviously not the best idea :)

creating the digest and merging went smoothly
everything behaving normal

Code:

hplog -t
ID     TYPE        LOCATION      STATUS    CURRENT  THRESHOLD
 1  ADM1022      Processor Zone  Normal    69F/ 21C 136F/ 58C
 2  ADM1022      CPU (1)         Normal    68F/ 20C 154F/ 68C
 3  ADM1022      I/O Zone        Normal    77F/ 25C 143F/ 62C
 4  ADM1022      CPU (2)         Absent   ---F/---C ---F/---C

hplog -p
ID     TYPE        LOCATION      STATUS  REDUNDANT
 1  Standard     Pwr. Supply Bay Normal     Yes
 2  Standard     Pwr. Supply Bay Normal     Yes

hplog -f
ID     TYPE        LOCATION      STATUS  REDUNDANT FAN SPEED
 1  Var. Speed   Processor Zone  Normal     N/A     Low    ( 23)
 2  Basic Fan    Pwr. Supply Bay Normal     N/A     -------


thank you for sharing the ebuild
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Mon Sep 22, 2008 1:11 pm    Post subject: Reply with quote

elgato319 wrote:
everything behaving normal
So you have no problems at all with the 8 series of the HPASM tools? Great! Now only theholymac needs to check if the 8 series work better for him.

elgato319 wrote:
thank you for sharing the ebuild
Kein Problem (I think you are German speaking?)


// SteveB
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Tue Sep 23, 2008 10:42 am    Post subject: Reply with quote

8.0.0 is now running for about 24 hours... seems stable, no problems so far.

Quote:

Kein Problem (I think you are German speaking?)

correct ;)
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Tue Sep 23, 2008 11:48 am    Post subject: Reply with quote

elgato319 wrote:
correct ;)
Na da sind wir schon zwei, die der Deutschen Sprache mächtig sind :)

Gruss aus Zürich

Steve
Back to top
View user's profile Send private message
elgato319
Guru
Guru


Joined: 15 Sep 2005
Posts: 546

PostPosted: Tue Sep 23, 2008 1:42 pm    Post subject: Reply with quote

Schöne grüße zurück aus NRW 8)
Back to top
View user's profile Send private message
theholymac
n00b
n00b


Joined: 28 Jun 2006
Posts: 56
Location: Probably at the solar car shop in St. Paul

PostPosted: Tue Sep 23, 2008 4:13 pm    Post subject: Reply with quote

Sorry for the long wait guys...

8.0.0.173 works perfectly fine on my DL560, just like 7.7.0.115 did. However, on the DL360 G2, while the lone fan shows up as a "variable speed fan", it still runs at "High (100)"

Haven't had a chance to try DL360 G1 yet, though.
Back to top
View user's profile Send private message
steveb
Advocate
Advocate


Joined: 18 Sep 2002
Posts: 4564

PostPosted: Tue Sep 23, 2008 4:23 pm    Post subject: Reply with quote

Can you post the output you get with that DL360 G1/G2?

// Steve
Back to top
View user's profile Send private message
ts77
Apprentice
Apprentice


Joined: 23 Mar 2003
Posts: 200
Location: Berlin, Germany

PostPosted: Thu Nov 13, 2008 1:21 pm    Post subject: Reply with quote

anyone of you got ebuilds for more hp tools?
I've manually installed (yeah, not that good in ebuilds ;)) hpacucli and hpadu but would really like to have like to have the hpsmh (HP System Management Homepage) working on my system as I got some array troubles which should be far easier to diagnose with a graphical tool like that (every tried to read something from the hpaducli output? ;-)).
I'm on a DL380G3 here btw..
Back to top
View user's profile Send private message
opotonil
l33t
l33t


Joined: 17 Jun 2005
Posts: 801
Location: 127.0.0.1

PostPosted: Sun Mar 15, 2009 12:28 pm    Post subject: Reply with quote

Hi,

I trying on Proliant ML 150 G5 but I copy the code, with nano, to:
Code:

/usr/local/portage/app-admin/hpasm/hpasm-8.0.0.173.ebuild

and when I try to make digest:
Code:

server ~ # ebuild /usr/local/portage/app-admin/hpasm/hpasm-8.0.0.173.ebuild digest
/usr/local/portage/app-admin/hpasm/hpasm-8.0.0.173.ebuild: line 206: syntax error: unexpected end of file
 *
 * ERROR: app-admin/hpasm-8.0.0.173 failed.
 * Call stack:
 *               ebuild.sh, line 1881:  Called die
 * The specific snippet of code:
 *      source "${EBUILD}" || die "error sourcing ebuild"
 *  The die message:
 *   error sourcing ebuild
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *


I deleted the end of file and rewrite but error persist...

Thanks.

PD: Can you upload to bugzilla? for search maintainer.
Back to top
View user's profile Send private message
opotonil
l33t
l33t


Joined: 17 Jun 2005
Posts: 801
Location: 127.0.0.1

PostPosted: Wed Mar 18, 2009 8:29 pm    Post subject: Reply with quote

Ok, ebuild working but... need I sys-libs/lib-compat on amd64?

Code:

server ~ # emerge -pv hpasm

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "sys-libs/lib-compat" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-libs/lib-compat-1.4.2 (masked by: missing keyword)
- sys-libs/lib-compat-1.4.1 (masked by: missing keyword)
- sys-libs/lib-compat-1.4 (masked by: missing keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "app-admin/hpasm-8.0.0.173" [ebuild])
(dependency required by "hpasm" [argument])


Reading this:
https://bugs.gentoo.org/show_bug.cgi?id=101220
https://bugs.gentoo.org/33505

I understand that lib-compat don't work on amd64 ¿?

thanks
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum